import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_applied_staff_search_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_applied_staff_search_entity.g.dart';

@JsonSerializable()
class JobListAppliedStaffSearchEntity {
	int total = 0;
	List<JobListAppliedStaffSearchRows>? rows = [];

	JobListAppliedStaffSearchEntity();

	factory JobListAppliedStaffSearchEntity.fromJson(Map<String, dynamic> json) => $JobListAppliedStaffSearchEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListAppliedStaffSearchEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListAppliedStaffSearchRows {
	int id = 0;
	String? name = null;
	String? sex = null;
	String? phone = null;
	String? nric = null;
	String? avatar = null;
	@JSONField(name: "apply_state")
	int applyState = 0;
	bool isSelected = false;

	JobListAppliedStaffSearchRows();

	factory JobListAppliedStaffSearchRows.fromJson(Map<String, dynamic> json) => $JobListAppliedStaffSearchRowsFromJson(json);

	Map<String, dynamic> toJson() => $JobListAppliedStaffSearchRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}